import { ReadableStream } from 'node:stream/web';
export declare function encryptStream(input: ReadableStream, key: Uint8Array<ArrayBuffer>, rs?: number, salt?: ArrayBuffer): ReadableStream<any>;
export declare function decryptStream(input: ReadableStream, key: Uint8Array<ArrayBuffer>, rs?: number): ReadableStream<any>;
export declare const ECE_RECORD_SIZE: number;
export declare function encryptedSize(size: number, rs?: number, tagLength?: number): number;
